cUrl
curl --location --request GET 'https://api.catalogix.ai/v1/products?sku_codes=CI001&store_uuid=67762d4ce590324df813bd8c&ontology=SMP' \
--header 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.catalogix.ai/v1/products?sku_codes=CI001&store_uuid=67762d4ce590324df813bd8c&ontology=SMP"
headers = {
'Authorization': 'Bearer YOUR_TOKEN'
}
response = requests.request("GET", url, headers=headers)
print(response.text)var myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer YOUR_TOKEN");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catalogix.ai/v1/products?sku_codes=CI001&store_uuid=67762d4ce590324df813bd8c&ontology=SMP", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));
{
"status": {
"code": 0,
"message": "success"
},
"data": {
"store_uuid": "67762d4ce590324df813bd8c",
"products": [
{
"CI001": {
"Category": "shirts",
"product_code": "CI001",
"status": "active",
"assets": {
"images": [
"https://assets-test.catalogix.ai/dee9c181338099b931cde78787df567a",
"https://assets-test.catalogix.ai/b9e0a674584b15df799a2d2a7bcb6f57",
"https://assets-test.catalogix.ai/3d8f430ce3bc623e8037aac988a889c6",
"https://assets-test.catalogix.ai/e263183310aa0093381bf48a6d8540aa",
"https://assets-test.catalogix.ai/38d253f0fb7aad878ae270e2c612467a",
"https://assets-test.catalogix.ai/5733be608a3f9303af5d7dd14621d2d1"
],
"videos": [
"https://assets-test.catalogix.ai/cac950f7a787813a1d99fbb20e159ee2"
]
}
}
}
]
}
}{
"detail": "<string>",
"status": "error"
}{
"status": {
"code": -1,
"message": "Unauthorized – invalid or missing Bearer token"
}
}{
"detail": "<string>",
"status": "error"
}{
"status": {
"code": -1,
"message": "Internal server error. Please contact support@catalogix.ai"
}
}{
"detail": "<string>",
"status": "error"
}Product APIs
Retrieve Product
Retrieves product data.
GET
/
products
cUrl
curl --location --request GET 'https://api.catalogix.ai/v1/products?sku_codes=CI001&store_uuid=67762d4ce590324df813bd8c&ontology=SMP' \
--header 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.catalogix.ai/v1/products?sku_codes=CI001&store_uuid=67762d4ce590324df813bd8c&ontology=SMP"
headers = {
'Authorization': 'Bearer YOUR_TOKEN'
}
response = requests.request("GET", url, headers=headers)
print(response.text)var myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer YOUR_TOKEN");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catalogix.ai/v1/products?sku_codes=CI001&store_uuid=67762d4ce590324df813bd8c&ontology=SMP", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));
{
"status": {
"code": 0,
"message": "success"
},
"data": {
"store_uuid": "67762d4ce590324df813bd8c",
"products": [
{
"CI001": {
"Category": "shirts",
"product_code": "CI001",
"status": "active",
"assets": {
"images": [
"https://assets-test.catalogix.ai/dee9c181338099b931cde78787df567a",
"https://assets-test.catalogix.ai/b9e0a674584b15df799a2d2a7bcb6f57",
"https://assets-test.catalogix.ai/3d8f430ce3bc623e8037aac988a889c6",
"https://assets-test.catalogix.ai/e263183310aa0093381bf48a6d8540aa",
"https://assets-test.catalogix.ai/38d253f0fb7aad878ae270e2c612467a",
"https://assets-test.catalogix.ai/5733be608a3f9303af5d7dd14621d2d1"
],
"videos": [
"https://assets-test.catalogix.ai/cac950f7a787813a1d99fbb20e159ee2"
]
}
}
}
]
}
}{
"detail": "<string>",
"status": "error"
}{
"status": {
"code": -1,
"message": "Unauthorized – invalid or missing Bearer token"
}
}{
"detail": "<string>",
"status": "error"
}{
"status": {
"code": -1,
"message": "Internal server error. Please contact support@catalogix.ai"
}
}{
"detail": "<string>",
"status": "error"
}Authorizations
Pass the API token as a Bearer token in the Authorization header.
Headers
Optional trace ID. If not provided, one is generated automatically
Query Parameters
Example:
"67762d4ce590324df813bd8c"
List of SKU Codes or Style codes based on selected type to be retrieved
Example:
"CI001"
Ontology name for product taxonomy (e.g. SMP, amazon, brand). If not provided, auto-detected from store taxonomy settings.
Example:
"SMP"
Required range:
x >= 0Example:
0
Example:
100
Filter by product status.
Available options:
active, new, problem, inactive, draft, under review ⌘I